#
# Conditional build:
%bcond_with	doc	# don't build doc
%bcond_with	tests	# do not perform "make test" (needs django settings to test)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module		crispy_forms
%define 	egg_name	django_crispy_forms
%define		pypi_name	django-crispy-forms
Summary:	Best way to have Django DRY forms
Name:		python-%{pypi_name}
Version:	1.6.1
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	84f6ceb0ecfac6ad049ec4cf35b24ee9
URL:		https://django-crispy-forms.readthedocs.io/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
django-crispy-forms is a Django application that lets you easily
build, customize and reuse forms using your favorite CSS framework,
without writing template code and without having to take care of
annoying details.

%package -n python3-%{pypi_name}
Summary:	Best way to have Django DRY forms
Group:		Libraries/Python

%description -n python3-%{pypi_name}
django-crispy-forms is a Django application that lets you easily
build, customize and reuse forms using your favorite CSS framework,
without writing template code and without having to take care of
annoying details.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
cd docs
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%py_postclean
%endif

%if %{with python3}
%py3_install
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/%{module}/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst LICENSE.txt
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc README.rst LICENSE.txt
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-django-crispy-forms.git;a=log;h=auto/th/python-django-crispy-forms-1.6.1-3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 73d3c03
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 696ce56
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Apr 23 2017 Elan Ruusamäe <glen@delfi.ee> 7fa0336
- up to 1.6.1

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b0f903
- python 3.6
- release 2 (by relup.sh)

* Tue Jun 21 2016 Elan Ruusamäe <glen@delfi.ee> 86d9fcb
- new, version 1.6.0

